package cz.moneta.test.dsl.util.task.wso2;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.wso2.authorization.AuthorizationTasks;
import cz.moneta.test.dsl.util.task.wso2.cards.CardsTasks;
import cz.moneta.test.dsl.util.task.wso2.depersonalization.DepersonalizationTasks;
import cz.moneta.test.dsl.util.task.wso2.digitalchannels.IbTasks;
import cz.moneta.test.dsl.util.task.wso2.digitalchannels.IdmTasks;
import cz.moneta.test.dsl.util.task.wso2.payments.PaymentsTasks;
import cz.moneta.test.dsl.util.task.wso2.rest.RequestTasks;

public class Wso2Tasks {

    private final Harness harness;

    public Wso2Tasks(Harness harness) {
        this.harness = harness;
    }

    public CardsTasks cards() {
        return new CardsTasks(harness);
    }

    public DepersonalizationTasks depersonalization() {
        return new DepersonalizationTasks(harness);
    }

    public PaymentsTasks payments() {
        return new PaymentsTasks(harness);
    }

    public AuthorizationTasks authorization() {
        return new AuthorizationTasks(harness);
    }

    public RequestTasks restRequest() {
        return new RequestTasks(harness);
    }

    public IdmTasks idm() {
        return new IdmTasks(harness);
    }

    public IbTasks ib() {
        return new IbTasks(harness);
    }

    public ClientTasks client() {
        return new ClientTasks(harness);
    }

    public ComodaTasks comoda() {
        return new ComodaTasks(harness);
    }

}
